HomeDev GuideRecipesAPI Reference
Dev GuideAPI ReferenceUser GuideGitHubNuGetDev CommunityAcademySubmit a ticketLog In
API Reference

Create content type

Create a new content type.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

The content type that should be created.

A content type definition.

string
length between 2 and 255
^[A-Za-z][_0-9A-Za-z]+$

The unique identifier (key) of the resource.

string
required
length between 1 and 255

The display name of this content type.

string
length ≤ 255

A description of this content type.

string | null

The base type of this content type. Ignored for contracts; required for all other content types.

boolean

Specifies if the content type is a contract type.

int32

A value that is used when sorting content type instances.

mayContainTypes
array of strings
length ≤ 1000

Provides a set of content types that can be created in containers of this type

mayContainTypes
mediaFileExtensions
array of strings
length ≤ 1000

Provides a set of media file extensions that this content type can handle.

mediaFileExtensions
compositionBehaviors
array of strings
length ≤ 1000

Provides a set of composition behaviors specifying how this content type can be used within compositions. Currently this can only be assigned when baseType is 'component'.

compositionBehaviors
composition
object

Configures the built-in composition (the "canvas") for experience and section content types. Only applicable when BaseType is _experience or _section.

contracts
array of strings
length ≤ 1000

Provides a set of contract content types that this content type is bound to.

contracts
properties
object

Dictionary with all custom properties of this content type.

accessRights
array of objects | null

The access rights assigned to this content type that defines who can create content of this type. If no access rights are assigned, everyone will be able to create content of this type. An empty array means that no new content of this type can be created.

accessRights
Headers
Prefer
array of strings

Indicates client preference for the response content as per IETF RFC7240. Currently only supports 'return=representation' which can be used to indicate a preference to receive a representation of the resource that has been altered in the response.

Prefer
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
OAuth2
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
application/problem+json